> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/english/property-data/autosearch-api/authentication-input-and-response.md).

# Authentication, input and response

## Assess the full potential of the Autosearch API by understanding the key parameters and response.

<mark style="color:green;">`GET`</mark>`/https://api.altum.ai/autosearch?search`

The endpoint allows you to interact with the Autosearch API by sending specific queries, such as postal codes, sorting options, and result limits, to retrieve detailed real estate data. You can find the full endpoint above.

### Query Parameters&#x20;

<table><thead><tr><th width="151">Name</th><th width="144">Type</th><th>Description</th></tr></thead><tbody><tr><td>search<mark style="color:red;">*</mark></td><td>string</td><td>This parameter specifies the postal code to be queried.</td></tr><tr><td>sort</td><td>string</td><td>Sort results by "date" or "relevance." The default is "date."</td></tr><tr><td>limit</td><td>int</td><td>The maximum number of items to be returned in the response.</td></tr></tbody></table>

### Headers

<table><thead><tr><th width="152">Name</th><th width="145">Type</th><th>Description</th></tr></thead><tbody><tr><td>Content-Type</td><td>string</td><td>application/json</td></tr><tr><td>x-api-key<mark style="color:red;">*</mark></td><td>string</td><td>Unique API key from Altum. Obtain one via Mopsus (https://mopsus.altum.ai)</td></tr></tbody></table>

### Response

The output of the Autosearch API is a list of objects containing the following fields:

<table><thead><tr><th width="162">Name</th><th width="145">Type</th><th>Description</th></tr></thead><tbody><tr><td>postcode</td><td>string</td><td>The postal code of the location.</td></tr><tr><td>housenumber</td><td>int</td><td>The house number of the location.</td></tr><tr><td>houseaddition</td><td>string</td><td>Any addition to the house number (e.g., "Hs+1").</td></tr><tr><td>city</td><td>string</td><td>The city or village of the location.</td></tr><tr><td>street</td><td>string</td><td>The street name of the location.</td></tr><tr><td>province</td><td>string</td><td>The province where the location is situated.</td></tr><tr><td>asking_price</td><td>int</td><td>The asking price of the property.</td></tr><tr><td>date_listed</td><td>string</td><td>The date the property was listed (dd/mm/yy).</td></tr><tr><td>image</td><td>string</td><td>The URL to the image of the property (if available).</td></tr><tr><td>market_status</td><td>string</td><td>The current market status of the property and its possible values: 'Available', 'Sold subject to conditions', 'Under offer', 'Optioned', 'Sold', 'Only for a good offer', 'For sale at a later date'</td></tr></tbody></table>

### Request body

{% tabs %}
{% tab title="200" %}

<pre class="language-json"><code class="lang-json"><strong>{
</strong> 
[
    {
        "postcode": "1053BM",
        "housenumber": 26,
        "houseaddition": "Hs+1",
        "city": "Amsterdam Bellamybuurt-Zuid",
        "street": "Bellamystraat",
        "province": "Noord-Holland",
        "asking_price": 925000,
        "date_listed": "18/04/24",
        "image": "https://altum-ai.s3.amazonaws.com/image-16258e96-e073-4d61-aec5-555f38c33ca7.png"
    },
    {
        "postcode": "1053BP",
        "housenumber": 72,
        "houseaddition": null,
        "city": "Amsterdam Bellamybuurt-Zuid",
        "street": "Bellamystraat",
        "province": "Noord-Holland",
        "asking_price": 1150000,
        "date_listed": "30/03/24",
        "image": "https://altum-ai.s3.amazonaws.com/image-cbfa1bb7-ae54-4852-87f4-f69574f27155.png"
    }
]

</code></pre>

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.altum.ai/english/property-data/autosearch-api/authentication-input-and-response.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
